| GL Studio C++ Runtime API

Public Member Functions | List of all members
DistiAttributeTexturePointArray Class Reference

`#include <gls_metadata_attributes.h>`

Inheritance diagram for DistiAttributeTexturePointArray:

## Public Member Functions
| DistiAttributeTexturePointArray (CallbackMethodCallerBase *callback, const AttributeName &name, Vector *attribPtr, unsigned int numElements)
virtual std::ostream & | WriteValue (std::ostream &outstr) override
virtual std::istream & | ReadValue (std::istream &instr) override
Public Member Functions inherited from DistiAttributeVertexArray< Vector >
void | SetCompatabilityMode (bool mode)
| DistiAttributeVertexArray (CallbackMethodCallerBase *callback, const AttributeName &name, Vector **attribPtr, unsigned int *numVertices)
| DistiAttributeVertexArray (CallbackMethodCallerBase *callback, const AttributeName &name, Vector *attribPtr, unsigned int numElements)
virtual bool | OkToWrite () const override
virtual std::ostream & | WriteValue (std::ostream &outstr) override
virtual std::istream & | ReadValue (std::istream &instr) override
virtual bool | operator== (const DistiAttributeBase &rArg) override
std::string | Type () const override
Public Member Functions inherited from DistiAttributeBase
| DistiAttributeBase (CallbackMethodCallerBase *callback, const AttributeName &name, bool localStorage)
virtual DistiAttributeBase & | operator= (const DistiAttributeBase &oldClass)
const AttributeName & | Name () const
AttributeName & | Name ()
bool | LocalStorage () const
virtual bool | Copyable () const
virtual bool | OkToWrite () const
virtual bool | ValueChanged ()
virtual void | ResetValueChanged ()
virtual std::string | ValueString ()
virtual void | ValueString (const std::string &s)
virtual long | ValueInt ()
virtual void | ValueInt (long val)
virtual double | ValueFloat ()
virtual void | ValueFloat (double val)
virtual void | CallCallback ()
| Calls callback CallType3 if it has been set.
virtual std::ostream & | WriteValue (std::ostream &outstr)=0
virtual std::istream & | ReadValue (std::istream &instr)=0
virtual std::string | Type () const
virtual bool | operator== (const DistiAttributeBase &r)
template<class valType >
DistiAttributeBase & | operator<< (const valType &val)
template<class valType >
DistiAttributeBase & | operator>> (valType &val)
virtual CallbackID | RegisterObserver (AttributeObserver *observer)
virtual void | UnregisterObserver (CallbackID id)
virtual void | NotifyObservers ()
Public Member Functions inherited from WeakReferenceableMixin
void | AddWeakReference (WeakReference *weakRef) override
void | NotifyWeakReferenceDestroyed (WeakReference *ref) override
virtual void | AddWeakReference (WeakReference *weakRef)=0
virtual void | NotifyWeakReferenceDestroyed (WeakReference *weakReference)=0

## Additional Inherited Members
Public Types inherited from DistiAttributeBase
typedef unsigned int | CallbackID
| Type for unique identifiers.
Protected Types inherited from DistiAttributeVertexArray< Vector >
typedef Vector * | Tptr
| Shorthand typedef for a pointer to the template type.
Protected Member Functions inherited from WeakReferenceableMixin
| WeakReferenceableMixin ()
virtual | ~WeakReferenceableMixin ()
Protected Attributes inherited from DistiAttributeVertexArray< Vector >
Vector ** | _attribPtr
| Underlying storage for this attribute.
unsigned int * | _numVertices
| The number of vertices in a variable length array.
unsigned int | _numElements
| The number of vertices in a fixed length array.
bool | _fixedArray
| If true, this array is not resizable.
bool | _compatabilityMode
| If true, backward compatibility mode will be used, values will be read with scanf.
Protected Attributes inherited from DistiAttributeBase
AttributeName | _name
CallbackMethodCallerBase * | _callback
ScopedPtr< DistiAttributeObserverList > | _observerList
bool | _localStorage
Protected Attributes inherited from WeakReferenceableMixin
DynamicArray< WeakReference * > * | _weakRefs

## Detailed Description

This is used specifically for changing from TexturePoints as Vertexs to TexturePoints as Vectors. It uses file version information to decide when expect what.

## Constructor & Destructor Documentation

## ◆ DistiAttributeTexturePointArray()

DistiAttributeTexturePointArray | ( | CallbackMethodCallerBase * | callback,
|  | const AttributeName & | name,
|  | Vector * | attribPtr,
|  | unsigned int | numElements
| ) |  |
| inline

Constructor, for fixed arrays.

Parameters

  callback | The callback method function pointer to call back.
  name | The name of this new attribute.
  attribPtr | A pointer to existing storage for this attribute.
  numElements | The number of elements in the existing storage.

## Member Function Documentation

## ◆ ReadValue()

virtual std::istream & ReadValue | ( | std::istream & | instr | ) |
| inline override virtual

Read data from the stream into this attribute.

Parameters

  instr | Stream to read from.

Returns
  The stream in its current state.

Reimplemented from DistiAttributeVertexArray< Vector >.

## ◆ WriteValue()

virtual std::ostream & WriteValue | ( | std::ostream & | outstr | ) |
| inline override virtual

Write data from this attribute into the stream.

Parameters

  outstr | The stream to write to.

Returns
  The stream in its current state.

Reimplemented from DistiAttributeVertexArray< Vector >.

The documentation for this class was generated from the following file:

- gls_metadata_attributes.h